Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Schnellauswahl

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Schnellauswahl (665 mal gelesen)
Jörg
Mitglied
selbstständig


Sehen Sie sich das Profil von Jörg an!   Senden Sie eine Private Message an Jörg  Schreiben Sie einen Gästebucheintrag für Jörg

Beiträge: 69
Registriert: 24.07.2000

Autocad Architecture 2019 + Athena

erstellt am: 09. Feb. 2019 10:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe einen Bereich in dem Linien, Texte und Bemaßungen enthalten sind.
Nun möchte ich die Linien und Texte in Sammeln und in einen Block überführen.
Mein Gedanke war Rechteck über Bereich ziehen und in der Schnellauswahl die Bemaßungen aus neuen Auswahlsatz ausschliessen.
Danach ist die Auswahl leer.

Der andere Gedanke war über Schnellauswahl erst die Linien zu sammeln
diese in einem neuen Auswahlsatz einfügen und dann die Texte dem Auswahlsatz hinzuzufügen.

Auch das wird nichts. Wird "an aktuellen Auswahlsatz anhängen" gewählt, springt die Auswahl auf "Ganze Zeichnung"

Verstehe ich die Funktion falsch?

Danke und Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadsl
Mitglied



Sehen Sie sich das Profil von cadsl an!   Senden Sie eine Private Message an cadsl  Schreiben Sie einen Gästebucheintrag für cadsl

Beiträge: 32
Registriert: 22.12.2016

erstellt am: 10. Feb. 2019 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg 10 Unities + Antwort hilfreich

Hallo Jörg,
mit der Schnellauswahl bekomme ich es auch nicht hin. Hätte ich nicht erwartet 

Alternativen gibt es aber natürlich:
- Am besten mit einer sauberen Layerstruktur arbeiten und den Layer mit der Bemaßung ausblenden, bevor der Block erstellt wird.

- oder Du verwendest den Befehl Filter :
Mit einer ODER-Funktion kann eine Liste definiert werden, die Linien und Texte von einer Auswahl herausfiltert.
Anschließend den Block definieren.

Gruß
cadsl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg
Mitglied
selbstständig


Sehen Sie sich das Profil von Jörg an!   Senden Sie eine Private Message an Jörg  Schreiben Sie einen Gästebucheintrag für Jörg

Beiträge: 69
Registriert: 24.07.2000

Autocad Architecture 2019 + Athena

erstellt am: 12. Feb. 2019 08:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

clevere Lösung, Danke!
Ich habe mal mit **beginn not gefiltert (dabei Bemaßungen ausgewählt)
und hat auch funktioniert.

Was kann man dann aber mit den Optionen
Aus neuem Auswahlsatz ausschliessen
und
an aktuellen Auswahlsatz anhängen
anfangen?

Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 12. Feb. 2019 15:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg 10 Unities + Antwort hilfreich

oder sowas
Code:
(if (and(setq awahl (ssget '((-4 . "<NOT")(0 . "DIMENSION")(-4 . "NOT>"))))
        (setq bname (getstring"\nBlocknamen eingeben: "))
        (setq pt(getpoint"Basispunkt zeigen: "))
)
(progn
(command-s"_-Block" bname pt awahl "")
(command-s"_insert" bname pt "1" "1" "1")
)
)

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadsl
Mitglied



Sehen Sie sich das Profil von cadsl an!   Senden Sie eine Private Message an cadsl  Schreiben Sie einen Gästebucheintrag für cadsl

Beiträge: 32
Registriert: 22.12.2016

erstellt am: 13. Feb. 2019 20:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg 10 Unities + Antwort hilfreich

Zitat:
Was kann man dann aber mit den Optionen
Aus neuem Auswahlsatz ausschliessen
und
an aktuellen Auswahlsatz anhängen
anfangen?

Meinst Du beides zusammen? Da sehe ich auch keinen Anwendungsfall.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 13. Feb. 2019 22:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadsl:
----------------------------
Was kann man dann aber mit den Optionen
Aus neuem Auswahlsatz ausschliessen
und
an aktuellen Auswahlsatz anhängen
anfangen?
----------------------------

Meinst Du beides zusammen? Da sehe ich auch keinen Anwendungsfall.


Was man (auch) mit beiden Zusammen anfangen kann liegt ja klar auf der Hand = Alles auswählen außer <Filterkriterium>
ABER dies geht eben nicht für eine bereits getroffene Vorauswahl sondern nur für den ganzen aktuellen Bereich.

-

Für das gewüschte Ziel kann man natürlich auch Filter, SSGET oder dementsprechend auch SSX verwenden,
aerb auch mit den allgemeinen  Objektwahlmöglichkeiten+Schnellauswahl wäre das Ziel erreichbar.
Soll hier nur als allgemeine Technik/Anregung dienen, mehr nicht.

1. Ich erstellen einen Auswahlsatz von dem was ich ganz generell nicht möchte (egal wie, zB. über die Schnellauswahl und Befehlsaufruf WAHL)
2. Man erstellt einen neuen Auswahlsatz durch Wahl aller Objekte des gewünschten Bereiches und entfernt dabei alle Objekte des vorherigen Auswahlsatzes.
  Objektwahl Option VORHER

Im Beispiel hier wäre das:
Auswahlsatz über alle Bemaßungen
-darauf achten: Aktuell sind keine Objekte markiert -
Befehl: Block, Objektwahl
Alle Objekte des gewünschten Bereiches markieren, Objektwahl-Modus auf ENTFERNEN ändern (entweder durch Eingabe von ENTFERNEN oder E, oder einfach temporär durch drücken von UMSCHLT/SHIFT und der Objektwahl Option V oder VORHER.

-
Beispiel LOG, per ssx Auswahlsatz mit allen Bemaßungen erstellt,
bei der Objektwahl der Blockelemente per Fensterwahl alles des Bereiches gewählt,
dann im Modus e=entfernen die Objekte des Vorherigen Auswahlsatzes entfernt, voila.
______________________________
Befehl: SSX

Startet...
Type "ssx" at a Command: prompt or
(ssx) at any object selection prompt.
Select object <None>:

Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]: entity

>>Enter entity type to add <RETURN to remove>: *dim*

Current filter: ((0 . "*dim*"))
Enter filter option [Block name/Color/Entity/Flag/LAyer/LType/Pick/Style/Thickness/Vector]:

4 found.

Befehl:
Befehl: -BLOCK

Blocknamen eingeben oder [?]: myblock1
Einfügebasispunkt angeben oder [Beschriftung]: _non
0,0,0

Objekte wählen: Entgegengesetzte Ecke angeben: 7 gefunden

Objekte wählen: e

Objekte entfernen: v
4 gefunden, 1 entfernt, 6 gesamt

Objekte entfernen:

Befehl:

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 175
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 14. Feb. 2019 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg 10 Unities + Antwort hilfreich

Hallo Jörg,

ich weiß ja nicht wie deine Zeichnung aussieht. Wenn sie gut "aufgeräumt" ist und all deine Objekte auf der Farbe z. B. Vonlayer liegen, kannst du auch einfach, die Bemaßungen auf eine Farbe legen , die in den anderen Objekten nicht vorkommt und dann doch mit der Schnellauswahl arbeiten (anschließend kannst du das ja schnell wieder rückgängig machen).
Klingt für mich etwas einfacher als mit scripts oder so zu arbeiten. Aber es geht natürlich nur, wenn es nicht zu kompliziert ist, die Bemaßungen zu separieren.

Gruß, Bigggi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg
Mitglied
selbstständig


Sehen Sie sich das Profil von Jörg an!   Senden Sie eine Private Message an Jörg  Schreiben Sie einen Gästebucheintrag für Jörg

Beiträge: 69
Registriert: 24.07.2000

Autocad Architecture 2019 + Athena

erstellt am: 14. Feb. 2019 11:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Es ist schon interessant, wie viele Lösungen es zu diesem Problem gibt!

Bei aufgeräumten Zeichnungen mit ordentlicher Layerstruktur ist es mit wohl mit wenigen Klicks getan.

Ich habe hier Ausschnitte verschiedener Planer in der Zeichnung. Dementsprechend ist die Anzahl der Layer und die Verteilung der Objekte.
Mein Wunsch war es so viel wie möglich über die Schnellauswahl zu selektieren. Hat so nicht geklappt, habe aber mei Ziel erreicht.

Danke an alle!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz